Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.document
Class DocumentValue

    java.lang.Object
      |
      +--com.bea.p13n.content.ContentValue
            |
            +--com.bea.p13n.content.document.DocumentValue

Deprecated. No longer needed - Use Document object instead.

public class DocumentValue
extends ContentValue

A value object for Documents.

Currently, this only supports the explicit attributes of a Document object.

See Also:
  `Document.getDocumentByValue()`, Serialized Form

Field Summary
`java.lang.String` | `author` Deprecated. The document author.
`java.lang.String` | `comments` Deprecated. The document comments.
`java.sql.Timestamp` | `creationDate` Deprecated. The date upon which the document was created.
`java.lang.String` | `description` Deprecated. The document description.
`java.lang.String` | `lockedBy` Deprecated. The document locker.
`java.lang.String` | `modifiedBy` Deprecated. The document modifier.
`java.sql.Timestamp` | `modifiedDate` Deprecated. The document last modified date.
`java.lang.String` | `name` Deprecated. The document names.
`long` | `size` Deprecated. The document size.
`long` | `version` Deprecated. The document version.

Fields inherited from class com.bea.p13n.content.ContentValue
`identifier, mimeType`

Constructor Summary
`protected` | `DocumentValue()` Deprecated. Only get/setDocumentByValue methods are allowed to call this constructor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### description

    public java.lang.String description

  Deprecated.
  The document description.
  - Containment: By Value
  - Multiplicity: 1:1

### size

    public long size

  Deprecated.
  The document size.
  - Containment: By Value
  - Multiplicity: 1:1

### modifiedBy

    public java.lang.String modifiedBy

  Deprecated.
  The document modifier.
  - Containment: By Value
  - Multiplicity: 1:1

### modifiedDate

    public java.sql.Timestamp modifiedDate

  Deprecated.
  The document last modified date.
  - Containment: By Value
  - Multiplicity: 1:1

### creationDate

    public java.sql.Timestamp creationDate

  Deprecated.
  The date upon which the document was created.
  - Containment: By Value
  - Multiplicity: 1:1

### version

    public long version

  Deprecated.
  The document version.
  - Containment: By Value
  - Multiplicity: 1:1

### author

    public java.lang.String author

  Deprecated.
  The document author.
  - Containment: By Value
  - Multiplicity: 1:1

### lockedBy

    public java.lang.String lockedBy

  Deprecated.
  The document locker.
  - Containment: By Value
  - Multiplicity: 1:1

### comments

    public java.lang.String comments

  Deprecated.
  The document comments.
  - Containment: By Value
  - Multiplicity: 1:1

### name

    public java.lang.String name

  Deprecated.
  The document names.
  - Containment: By Value
  - Multiplicity: 1:1

Constructor Detail

### DocumentValue

    protected DocumentValue()

  Deprecated.
  Only get/setDocumentByValue methods are allowed to call this constructor.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved